> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.meshapi.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.meshapi.ai/_mcp/server.

# Get Model

GET https://api.meshapi.ai/v1/models/{model_id}

Return a single enabled model by its model ID with per-user discounted pricing.

Served from the same Redis cache as GET /v1/models — no additional DB queries
when the cache is warm. Discounts are applied per-user and not cached.

Reference: https://developers.meshapi.ai/api-reference/mesh-api/models/get-model-v-1-models-model-id-get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: openapi
  version: 1.0.0
paths:
  /v1/models/{model_id}:
    get:
      operationId: get-model-v-1-models-model-id-get
      summary: Get Model
      description: >-
        Return a single enabled model by its model ID with per-user discounted
        pricing.


        Served from the same Redis cache as GET /v1/models — no additional DB
        queries

        when the cache is warm. Discounts are applied per-user and not cached.
      tags:
        - subpackage_models
      parameters:
        - name: model_id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
servers:
  - url: https://api.meshapi.ai
    description: Production Server
components:
  schemas:
    ModelPricing:
      type: object
      properties:
        pricing_unit:
          type:
            - string
            - 'null'
        prompt_usd_per_1k:
          type:
            - string
            - 'null'
        completion_usd_per_1k:
          type:
            - string
            - 'null'
        prompt_usd_per_1m:
          type:
            - string
            - 'null'
        completion_usd_per_1m:
          type:
            - string
            - 'null'
        image_output_usd_per_image:
          type:
            - string
            - 'null'
        request_usd:
          type:
            - string
            - 'null'
        long_context_input_usd_per_1m:
          type:
            - string
            - 'null'
        long_context_output_usd_per_1m:
          type:
            - string
            - 'null'
        cache_read_input_usd_per_1m:
          type:
            - string
            - 'null'
        cache_write_input_usd_per_1m:
          type:
            - string
            - 'null'
        cache_read_audio_input_usd_per_1m:
          type:
            - string
            - 'null'
        long_context_cache_read_input_usd_per_1m:
          type:
            - string
            - 'null'
        long_context_cache_write_input_usd_per_1m:
          type:
            - string
            - 'null'
        batch_input_usd_per_1m:
          type:
            - string
            - 'null'
        batch_output_usd_per_1m:
          type:
            - string
            - 'null'
        training_usd_per_1m:
          type:
            - string
            - 'null'
        fine_tuned_input_usd_per_1m:
          type:
            - string
            - 'null'
        fine_tuned_output_usd_per_1m:
          type:
            - string
            - 'null'
        audio_input_usd_per_1m:
          type:
            - string
            - 'null'
        audio_output_usd_per_1m:
          type:
            - string
            - 'null'
        transcription_usd_per_1m:
          type:
            - string
            - 'null'
        cached_audio_input_usd_per_1m:
          type:
            - string
            - 'null'
        cached_text_input_usd_per_1m:
          type:
            - string
            - 'null'
        cache_hit_usd_per_1m:
          type:
            - string
            - 'null'
        image_input_usd_per_image:
          type:
            - string
            - 'null'
        image_output_size:
          type:
            - string
            - 'null'
        effective_date:
          type:
            - string
            - 'null'
        deprecated_date:
          type:
            - string
            - 'null'
        notes:
          type:
            - string
            - 'null'
        source_url:
          type:
            - string
            - 'null'
        discount_pct:
          type:
            - string
            - 'null'
      required:
        - prompt_usd_per_1k
        - completion_usd_per_1k
      title: ModelPricing
    ModelOut:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        provider:
          type:
            - string
            - 'null'
        context_length:
          type:
            - integer
            - 'null'
        is_free:
          type: boolean
        pricing:
          $ref: '#/components/schemas/ModelPricing'
        description:
          type:
            - string
            - 'null'
        supports_thinking:
          type: boolean
        supports_completions_api:
          type: boolean
        supports_responses_api:
          type: boolean
        supports_realtime:
          type: boolean
          default: false
        supports_embeddings:
          type: boolean
          default: false
        supports_tools:
          type: boolean
          default: false
        supports_structured_output:
          type: boolean
          default: false
        supports_system_prompt:
          type: boolean
          default: true
        supports_batching:
          type: boolean
          default: false
        model_type:
          type: string
        input_modalities:
          type: array
          items:
            type: string
        output_modalities:
          type: array
          items:
            type: string
        context_window:
          type:
            - integer
            - 'null'
        standard_context_threshold:
          type:
            - integer
            - 'null'
        realtime_session_max_tokens:
          type:
            - integer
            - 'null'
        realtime_max_concurrent_per_owner:
          type:
            - integer
            - 'null'
        is_composite:
          type: boolean
          default: false
        composite_models:
          type:
            - array
            - 'null'
          items:
            type: string
      required:
        - id
        - name
        - context_length
        - is_free
        - pricing
        - supports_thinking
        - supports_completions_api
        - supports_responses_api
        - model_type
        - input_modalities
        - output_modalities
      title: ModelOut
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationErrorCtx:
      type: object
      properties: {}
      title: ValidationErrorCtx
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          $ref: '#/components/schemas/ValidationErrorCtx'
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "id": "model_123abc456def",
  "name": "GPT-4 Turbo",
  "context_length": 8192,
  "is_free": false,
  "pricing": {
    "prompt_usd_per_1k": "0.03",
    "completion_usd_per_1k": "0.06",
    "pricing_unit": "tokens",
    "prompt_usd_per_1m": "30.00",
    "completion_usd_per_1m": "60.00",
    "image_output_usd_per_image": null,
    "request_usd": null,
    "long_context_input_usd_per_1m": "45.00",
    "long_context_output_usd_per_1m": "90.00",
    "cache_read_input_usd_per_1m": "5.00",
    "cache_write_input_usd_per_1m": "7.50",
    "cache_read_audio_input_usd_per_1m": null,
    "long_context_cache_read_input_usd_per_1m": "10.00",
    "long_context_cache_write_input_usd_per_1m": "12.00",
    "batch_input_usd_per_1m": "20.00",
    "batch_output_usd_per_1m": "25.00",
    "training_usd_per_1m": null,
    "fine_tuned_input_usd_per_1m": "35.00",
    "fine_tuned_output_usd_per_1m": "40.00",
    "audio_input_usd_per_1m": null,
    "audio_output_usd_per_1m": null,
    "transcription_usd_per_1m": null,
    "cached_audio_input_usd_per_1m": null,
    "cached_text_input_usd_per_1m": "3.00",
    "cache_hit_usd_per_1m": "2.50",
    "image_input_usd_per_image": null,
    "image_output_size": null,
    "effective_date": "2024-01-01",
    "deprecated_date": null,
    "notes": "Pricing subject to change based on usage tiers.",
    "source_url": "https://openai.com/pricing",
    "discount_pct": "10"
  },
  "supports_thinking": true,
  "supports_completions_api": true,
  "supports_responses_api": true,
  "model_type": "transformer",
  "input_modalities": [
    "text"
  ],
  "output_modalities": [
    "text"
  ],
  "provider": "OpenAI",
  "description": "GPT-4 Turbo is a faster, cheaper variant of GPT-4 optimized for chat and completions.",
  "supports_realtime": false,
  "supports_embeddings": true,
  "supports_tools": false,
  "supports_structured_output": true,
  "supports_system_prompt": true,
  "supports_batching": true,
  "context_window": 8192,
  "standard_context_threshold": 4096,
  "realtime_session_max_tokens": 2048,
  "realtime_max_concurrent_per_owner": 5,
  "is_composite": false,
  "composite_models": null
}
```

**SDK Code**

```python
import requests

url = "https://api.meshapi.ai/v1/models/model_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.meshapi.ai/v1/models/model_id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.meshapi.ai/v1/models/model_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.meshapi.ai/v1/models/model_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.meshapi.ai/v1/models/model_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.meshapi.ai/v1/models/model_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.meshapi.ai/v1/models/model_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.meshapi.ai/v1/models/model_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```